package org.project.entity;

public interface Entity {
//    void attack(Entity target);


    void defend();

    void heal(int health);

    void fillMana(int mana);

    void takeDamage(int damage);

    void specialAbility(Entity target);

    void stun();

    int getMaxHP();

    int getMaxMP();

    boolean isStunned();

    void stun(boolean value);



    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
}
